cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 33984] New: - Installation problem - build.bat failes on
Date Sun, 13 Mar 2005 08:09:06 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=33984>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=33984

           Summary: Installation problem - build.bat failes on
           Product: Cocoon 2
           Version: Current SVN 2.2
          Platform: PC
        OS/Version: Windows 2000
            Status: NEW
          Keywords: JDK1.5
          Severity: normal
          Priority: P2
         Component: general components
        AssignedTo: dev@cocoon.apache.org
        ReportedBy: Hila.Miranda-Kuzi@nsc.com


Dear All,


This is more a question than a bug  in order to report a bug Id have to know 
what Im doing  :-)

Im totally new in cocoon, trying to follow the steps for installation on 
WIN2000 and getting rejected at a very early stage. Im using JDK 1.5 and the 
most recent cocoon version recommended at the site - 2.1.6.  It seems like 
there is a mismatch between the definition of 
org.apache.cocoon.xml.dom.DocumentWrapper and org.w3c.dom.Document.

Should I be using a different JDK or add a reference to  local w3c classes? 

I tried following a patch recommended at issue # 14062, and updated init-
build.xml to include reference to detect the JVM for source.vm but it had no 
affect on the outcome of the compilation.

Here is a printout of the compilation error:

Building with Apache Ant version 1.6.2 compiled on July 16 2004
----------------------------------------------------------------------
 Using build file C:\Cocoon\cocoon-2.1.6\build.xml
----------------------------------------------------------------------
 Compiler options:
   - debug ......... [on]
   - optimize ...... [on]
   - deprecation ... [off]
======================================================================

compile-core:
Compiling 1 source file to C:\Cocoon\cocoon-2.1.6\build\cocoon-2.1.6\classes
C:\Cocoon\cocoon-2.1.6\src\java\org\apache\cocoon\xml\dom\DocumentWrapper.java:
8: org.apache.cocoon.xml.dom.DocumentWrapper is not abstract and does not overr
de abstract method normalizeDocument() in org.w3c.dom.Document
public class DocumentWrapper implements org.w3c.dom.Document, XMLizable {
       ^
1 error

BUILD FAILED
C:\Cocoon\cocoon-2.1.6\tools\targets\compile-build.xml:62: Compile failed; see
the compiler error output for details.


Many Thanks

Hila

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

Mime
View raw message